Bug 1262905 - [abrt] webkitgtk4: WebKit::CustomProtocolManagerImpl::didReceiveResponse(): WebKitWebProcess killed by SIGSEGV
[abrt] webkitgtk4: WebKit::CustomProtocolManagerImpl::didReceiveResponse(): W...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: webkitgtk4 (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Popela
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:03e67ba9afbc0bbe931d62a9464...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 11:07 EDT by Maël Lavault
Modified: 2015-12-21 21:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-25 16:49:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (78.98 KB, text/plain)
2015-09-14 11:07 EDT, Maël Lavault
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-14 11:07 EDT, Maël Lavault
no flags Details
File: core_backtrace (41.90 KB, text/plain)
2015-09-14 11:07 EDT, Maël Lavault
no flags Details
File: dso_list (14.63 KB, text/plain)
2015-09-14 11:07 EDT, Maël Lavault
no flags Details
File: environ (1.92 KB, text/plain)
2015-09-14 11:07 EDT, Maël Lavault
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-14 11:07 EDT, Maël Lavault
no flags Details
File: maps (93.93 KB, text/plain)
2015-09-14 11:07 EDT, Maël Lavault
no flags Details
File: mountinfo (3.51 KB, text/plain)
2015-09-14 11:07 EDT, Maël Lavault
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-14 11:08 EDT, Maël Lavault
no flags Details
File: open_fds (1.22 KB, text/plain)
2015-09-14 11:08 EDT, Maël Lavault
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-09-14 11:08 EDT, Maël Lavault
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-09-14 11:08 EDT, Maël Lavault
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
WebKit Project 149565 None None None Never

  None (edit)
Description Maël Lavault 2015-09-14 11:07:30 EDT
Version-Release number of selected component:
webkitgtk4-2.8.5-1.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 42
crash_function: WebKit::CustomProtocolManagerImpl::didReceiveResponse
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
global_pid:     3782
kernel:         4.1.4-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 WebKit::CustomProtocolManagerImpl::didReceiveResponse at /usr/src/debug/webkitgtk-2.8.5/Source/WebKit2/Shared/Network/CustomProtocols/soup/CustomProtocolManagerImpl.cpp:176
 #1 callMemberFunctionImpl<WebKit::CustomProtocolManager, void (WebKit::CustomProtocolManager::*)(unsigned long, WebCore::ResourceResponse const&, unsigned int), std::tuple<unsigned long, WebCore::ResourceResponse, unsigned int>, 0ul, 1ul, 2ul> at /usr/src/debug/webkitgtk-2.8.5/Source/WebKit2/Platform/IPC/HandleMessage.h:16
 #2 callMemberFunction<WebKit::CustomProtocolManager, void (WebKit::CustomProtocolManager::*)(unsigned long, WebCore::ResourceResponse const&, unsigned int), std::tuple<unsigned long, WebCore::ResourceResponse, unsigned int>, std::make_index_sequence<3ul> > at /usr/src/debug/webkitgtk-2.8.5/Source/WebKit2/Platform/IPC/HandleMessage.h:22
 #3 IPC::handleMessage<Messages::CustomProtocolManager::DidReceiveResponse, WebKit::CustomProtocolManager, void (WebKit::CustomProtocolManager::*)(unsigned long, WebCore::ResourceResponse const&, unsigned int)> at /usr/src/debug/webkitgtk-2.8.5/Source/WebKit2/Platform/IPC/HandleMessage.h:92
 #4 WebKit::CustomProtocolManager::didReceiveMessage at /usr/src/debug/webkitgtk-2.8.5/x86_64-redhat-linux-gnu/DerivedSources/WebKit2/CustomProtocolManagerMessageReceiver.cpp:52
 #5 IPC::Connection::dispatchWorkQueueMessageReceiverMessage at /usr/src/debug/webkitgtk-2.8.5/Source/WebKit2/Platform/IPC/Connection.cpp:308
 #6 operator() at /usr/include/c++/5.1.1/functional:2271
 #7 WTF::GMainLoopSource::voidCallback at /usr/src/debug/webkitgtk-2.8.5/Source/WTF/wtf/gobject/GMainLoopSource.cpp:365
 #8 WTF::GMainLoopSource::voidSourceCallback at /usr/src/debug/webkitgtk-2.8.5/Source/WTF/wtf/gobject/GMainLoopSource.cpp:456
 #13 operator() at /usr/include/c++/5.1.1/functional:2271
Comment 1 Maël Lavault 2015-09-14 11:07:33 EDT
Created attachment 1073295 [details]
File: backtrace
Comment 2 Maël Lavault 2015-09-14 11:07:34 EDT
Created attachment 1073296 [details]
File: cgroup
Comment 3 Maël Lavault 2015-09-14 11:07:36 EDT
Created attachment 1073297 [details]
File: core_backtrace
Comment 4 Maël Lavault 2015-09-14 11:07:37 EDT
Created attachment 1073298 [details]
File: dso_list
Comment 5 Maël Lavault 2015-09-14 11:07:38 EDT
Created attachment 1073299 [details]
File: environ
Comment 6 Maël Lavault 2015-09-14 11:07:42 EDT
Created attachment 1073300 [details]
File: limits
Comment 7 Maël Lavault 2015-09-14 11:07:45 EDT
Created attachment 1073301 [details]
File: maps
Comment 8 Maël Lavault 2015-09-14 11:07:46 EDT
Created attachment 1073302 [details]
File: mountinfo
Comment 9 Maël Lavault 2015-09-14 11:08:06 EDT
Created attachment 1073303 [details]
File: namespaces
Comment 10 Maël Lavault 2015-09-14 11:08:07 EDT
Created attachment 1073304 [details]
File: open_fds
Comment 11 Maël Lavault 2015-09-14 11:08:09 EDT
Created attachment 1073305 [details]
File: proc_pid_status
Comment 12 Maël Lavault 2015-09-14 11:08:10 EDT
Created attachment 1073306 [details]
File: var_log_messages

Note You need to log in before you can comment on or make changes to this bug.